/* Billecta styles */

#bban-se-loading {
    display: none;
    margin-bottom: 16px !important;
    font-size: calc(var(--fontsize) - 1px);
    justify-content: center;
    padding: 1em !important;
    background-color: var(--main-action-color-transparent);
    color: var(--text-color);
}

#bban-se-billecta-bankid-manual-instruction-container {
    display: none;
    margin-bottom: 16px !important;
    justify-content: center;
    gap: 1em;
    align-items: center;
    background-color: var(--information-color);
    padding: 1em !important;
    color: var(--text-color);
}

#bban-se-billecta-bankid-mobile-instruction-container,
#bban-se-billecta-bankid-desktop-instruction-container {
    display: none;
    flex-direction: column;
    align-items: center;
    margin-bottom: 16px !important;
}

#bban-se-billecta-bankid-mobile-instruction-container-inner,
#bban-se-billecta-bankid-desktop-instruction-container-inner {
    text-align: center; 
    margin-bottom: 16px !important;
    justify-content: center;
    background-color: var(--information-color);
    padding: 1em !important;
    color: var(--text-color);
}

#bban-se-account-selection-container {display: none;}

#bban-se-billecta-failure-message-container {display: none; color: #ff3b30;}

#bban-se-billecta-failure-message-title {margin: 0; min-height: auto !important;}

#bban-se-billecta-no-compatible-account-instruction {display:none; color: #ff3b30;}
#bban-se-billecta-no-compatible-account-button {display:none !important;}
#bban-se-submit {display: none;}

.bban-se-billecta-loader {
    width: 2em;
    padding: 8px !important;
    aspect-ratio: 1;
    border-radius: 50%;
    background: var(--text-color);
    --_m: 
        conic-gradient(#0000 10%,#000),
        linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
            mask: var(--_m);
    -webkit-mask-composite: source-out;
            mask-composite: subtract;
    animation: l3 1s infinite linear;
}
@keyframes l3 {to{transform: rotate(1turn)}}